Docs

Remittances · API reference

Create a remittance transaction

POST /v2/remittances/transaction
Try it ▸

Base URL not set in the spec · operationId createRemittanceTransaction

Authorization

The spec does not declare an authentication scheme for this endpoint.

Request body application/json · required

mgi_transaction_session_id string
product_type string

Responses

200 Transaction created successfully application/json
transaction_id integer
status string
reference string
transaction_date_time string (date-time)
This request is in the Monato · Remittances Postman collection.Download collection

Request

curl -X POST "$BASE_URL/v2/remittances/transaction" \
  -H "Content-Type: application/json" \
  -d '{
  "mgi_transaction_session_id": "4200922151E1743120525540",
  "product_type": "RCV"
}'

Response

Response 200
{
  "transaction_id": 132,
  "status": "received",
  "reference": "23033104",
  "transaction_date_time": "2025-03-28T00:31:58.206Z"
}